For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Updates the specified feature if the feature belongs to the specified project. Only the provided properties are updated; any feature properties left out of the request body are left untouched.
Authentication
Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format
Path parameters
projectIdstringRequired
featureNamestringRequired
Request
updateFeatureSchema
descriptionstringOptional
Detailed description of the feature
typeenumOptional
Type of the flag e.g. experiment, kill-switch, release, operational, permission, sunset
stalebooleanOptional
true if the feature is archived
archivedbooleanOptional
If true the feature flag will be moved to the archive with a property archivedAt set to current time
impressionDatabooleanOptional
true if the impression data collection is enabled for the feature
Response
featureSchema
namestring
Unique feature name
typestringOptional
Type of the flag e.g. experiment, kill-switch, release, operational, permission
descriptionstring or nullOptional
Detailed description of the feature
archivedbooleanOptional
true if the feature is archived
projectstringOptional
Name of the project the feature belongs to
enabledbooleanOptional
true if the feature is enabled, otherwise false.
stalebooleanOptional
true if the feature is stale based on the age and feature type, otherwise false.
favoritebooleanOptional
true if the feature was favorited, otherwise false.
impressionDatabooleanOptional
true if the impression data collection is enabled for the feature, otherwise false.
createdAtstring or nullOptionalformat: "date-time"
The date the feature was created
createdByobjectOptional
User who created the feature flag
archivedAtstring or nullOptionalformat: "date-time"
The date the feature was archived
environmentslist of objectsOptional
The list of environments where the feature can be used
tagslist of objects or nullOptional
The list of feature tags
childrenlist of stringsOptional
The list of child feature names. This is an experimental field and may change.
lifecycleobjectOptional
Current lifecycle stage of the feature
dependencieslist of objectsOptional
The list of parent dependencies. This is an experimental field and may change.
collaboratorsobjectOptional
Information related to users who have made changes to this feature flage.
linkslist of objectsOptional
The list of links. This is an experimental field and may change.